Bug 563113 - "Manually Add" dropdown merges distinct types with the same name
Summary: "Manually Add" dropdown merges distinct types with the same name
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 1.4
Hardware: All
OS: All
high
high vote
Target Milestone: ---
: ---
Assignee: RHQ Project Maintainer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: rhq_triage jon-sprint10-bugs
TreeView+ depends on / blocked
 
Reported: 2010-02-09 09:34 UTC by Lukas Krejci
Modified: 2010-08-12 16:55 UTC (History)
1 user (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-12 16:55:58 UTC


Attachments (Terms of Use)

Description Lukas Krejci 2010-02-09 09:34:10 UTC
Description of problem:

In JBossAS and JBossAS5 plugins, there are types both called JBossAS Server.
Both types support manual add.
When one tries to manually add a JBossAS5 server, the manual add dropdown contains only one entry called "JBossAS Server" which incidentally triggers creation of the other type.

Version-Release number of selected component (if applicable):

Found on the linux-config branch, but I strongly suspect this is common to all branches since this area of code hasn't been touched, AFAIK.

How reproducible:

Always.

Steps to Reproduce:
1. Have both JBossAS and JBossAS5 plugins deployed on the RHQ server
2. Import a platform.
3. Go to Inventory>Overview subtab of the platform and try to manually add JBossAS Server from JBossAS5 plugin.
  
Actual results:

Only able to create JBossAS Server from JBossAS plugin (i.e. JBossAS 4)

Expected results:

It should be possible to see both types listed in that dropdown.

Additional info:

Comment 1 wes hayutin 2010-02-16 16:55:52 UTC
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug

Comment 2 wes hayutin 2010-02-16 17:00:57 UTC
making sure we're not missing any bugs in rhq_triage

Comment 3 Charles Crouch 2010-05-18 03:49:37 UTC
The plugin name needs to be appended to the resource type in the "manual add" dropdown.

Comment 4 Charles Crouch 2010-05-18 04:56:37 UTC
I just saw another bug where jsanda mentioned the JBoss AS 5 server now included the plugin name in the dropdown, so I believe this is fixed.

Comment 5 Sudhir D 2010-05-18 08:57:13 UTC
Tried this on Build#152,

1. Both JBossAS and JBossAS5 plugins are deployed on the RHQ server
2. Import the platform.
3. Go to Inventory>Overview subtab of the platform and try to manually add
JBossAS Server from JBossAS5 plugin.

I can see both JBoss AS Server (JBossAS5 Plugin) and JBoss AS Server (JBossAS Plugin) listed. 

Marking this as verified.

Comment 6 Corey Welton 2010-08-12 16:55:58 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.